Various LaTeX classes. Note that some of this exists as independent LaTeX repostiories (e.g., ouexam, beamerthemes). You can find these repositories on [Github][].

## Installation approach 1: Git

`git clone` this repository into somewhere suitable in your local LaTeX tree. Then you can simply `git pull` to update to newer versions. This means you have a lot of irrelevant git-related files in your LaTeX tree, but it’s simple to manage.

## Installation approach 2: Make

To install, ensure that `$TEXMFHOME` is set to your personal texmf tree (e.g., `~/.texmf`), then:

```
git clone https://github.com/Otago-InfoSci-Database/LaTeX.git
cd LaTeX
make install
```

Everything should just work beyond that point (fingers crossed! ☺), barring any backwards incompatible changes to classes or the like.

### For developers only ###

*Normal users of the LaTeX repository should ignore the following!*

The `beamerthemes`, `lectures`, `listings`, and `ouexam` subdirectories are git subtrees pointing to independent repositories. If you’re intending to edit the contents of these directories, you make a separate clone of the original repository.

To pull upstream changes to the subtrees (e.g., for `ouexam`): `git subtree pull --prefix=ouexam --squash ouexam master`

Cloning the repository will lose the subtree associations. To restore these:

```sh
git remote add -f beamerthemes https://github.com/nstanger/beamerthemes.git
git remote add -f lectures https://github.com/nstanger/lectures.git
git remote add -f listings https://github.com/nstanger/listings.git
git remote add -f ouexam https://github.com/nstanger/ouexam.git
```

then update using the command above.

[github]: https://github.com/nstanger "Github"
